test:
	vagrant -v
	test -e Vagrantfile || exit

install:
	npm install

start:
	caddy reload && npm start

vagrant-install:
	vagrant ssh -c "cd /vagrant && make install"

vagrant-start:
	vagrant ssh -c "cd /vagrant && make start"

up:
	vagrant up

install-fastify:
	vagrant ssh -c "cd /vagrant && npm init -y fastify && npm install"

run-fastify:
	vagrant ssh -c "cd /vagrant && caddy reload && FASTIFY_ADDRESS=0.0.0.0 npm run dev"

